<?php
// This is a SPIP language file  --  Ceci est un fichier langue de SPIP

if (!defined('_ECRIRE_INC_VERSION')) return;
 
$GLOBALS[$GLOBALS['idx_lang']] = array(
	
	'demo_js' => '<p><a href="https://dabeng.github.io/OrgChart/">Org Chart</a> est un plugin pour Jquery. <a href="https://jquery.com">Jquery</a> est <a href="https://plugins.spip.net/jquery.html">installé de base</a> sur SPIP. SPIP vous propose une gestion d’objet éditoriaux valorisant leur hiérarchie. Cela peut être un article et son imbrication dans des rubriques, mais plus encore tout autre objet éditorial.</p><p>Le présent plugin pour SPIP vous permet d’ajouter les facilitées de la librairie OrgChart pour présenter une hiérarchie sous la forme d’un organigramme graphique très évolué et dynamique.</p>',
	'demo_js' => 'II - Utilisation native en Javascript',
	'demo_js_explication' => '<p>Il peut être intéressant de comprendre le fonctionnement et l’utilisation de la librairie en dehors de l’appel à un MODELE. C’est l’objet de la présente partie de la démonstration qui vous montre comment utiliser directement cette librairie.',
	'demo_js_oeuvre' => 'a) Mise en oeuvre',
	'demo_js_oeuvre_explication' => '<p>Le fonctionnement natif de la librairie est très simple : Un javascript appelle la librairie Orgchart.js pour met en forme (de tableau) un flux (de données) json propulsé dans une (balise HTML) DIV.</p><p>L’examen de cet exemple vous permettra de visualiser ce fonctionnement (A cette fin, vous pouvez faire un clic droit et solliciter dans le menu contextuel l’affichage du code source de la page).</p><p>La DIV porte l’identifiant <em>chart-container</em>. Le javascript est entre les balises SCRIPT.</p>',
	'demo_js_op_ajaxurl' => 'ajaxURL',
	'demo_js_op_ajaxurldef' => ' ',
	'demo_js_op_ajaxurldes' => 'L’URL comprend quatre propriétés - parent, enfants, frères et sœurs, familles. Il s’agit d’un comportement sollicité : demandez la case parente, descendante et les cases frères et sœurs, la famille.',
	'demo_js_op_ajaxurlr' => 'non',
	'demo_js_op_ajaxurlt' => 'json',
	'demo_js_op_btn' => 'exportButton',
	'demo_js_op_btndef' => 'faux',
	'demo_js_op_btndes' => 'Cette option fait apparaître un bouton pour permettre l’exportation de l’organigramme. Le bouton apparaitra en haut à droite du conteneur. La balise BUTTON aura la class "oc-export-btn". Elle portera par défaut le nom "Export".',
	'demo_js_op_btnr' => 'non',
	'demo_js_op_btnt' => 'Booléen',
	'demo_js_op_class' => 'chartClass',
	'demo_js_op_classcase' => 'className',
	'demo_js_op_classcasedef' => '""',
	'demo_js_op_classcasedes' => 'Permet de définir un style pour une case (ou une famille de cases) de l’organigramme. C’est une solution, par exemple, pour donner une couleur différente à la case.',
	'demo_js_op_classcaser' => 'non',
	'demo_js_op_classcaset' => 'Chaîne de caractères',
	'demo_js_op_classdef' => '""',
	'demo_js_op_classdes' => 'Lorsque vous voulez instancier plusieurs organigrammes sur une seule page, vous devez leur ajouter un nom de classe différent afin de les distinguer. La div conteneur portera alors la class "orgchart" suivie de votre "chartClass" et peut être suivie du positionnement souhaité (par exemple l2r).',
	'demo_js_op_classr' => 'non',
	'demo_js_op_classt' => 'Chaîne de caractères',
	'demo_js_op_cont' => 'nodeContent',
	'demo_js_op_contdef' => ' ',
	'demo_js_op_contdes' => 'Permet de définir un contenu textuel pour une case de l’organigramme.',
	'demo_js_op_contr' => 'non',
	'demo_js_op_contt' => 'Chaîne de caractères',
	'demo_js_op_create' => 'createNode',
	'demo_js_op_createdef' => ' ',
	'demo_js_op_createdes' => 'C’est une fonction de rappel utilisée pour personnaliser chaque nœud de l’organigramme. Il reçoit deux paramètres: "$ node" désignant en jquery l’objet placé dans une div et "data" qui est un flux de données json.',
	'demo_js_op_creater' => 'non',
	'demo_js_op_createt' => 'Fonction',
	'demo_js_op_data' => 'data',
	'demo_js_op_datadef' => ' ',
	'demo_js_op_datades' => 'Données utilisée pour construire l’organigramme. Il peut s’agir d’un objet json ou d’une chaîne de caractères (string) contenant un URL auquel la requête ajax sera envoyée. Ce sont ces données qui seront injectées dans la DIV conteneur portant la class "orgchart" où sera construit l’organigramme.',
	'demo_js_op_datar' => 'oui',
	'demo_js_op_datat' => 'json ou chaîne de caractères',
	'demo_js_op_default' => 'Défaut',
	'demo_js_op_description' => 'Description',
	'demo_js_op_dir' => 'direction',
	'demo_js_op_dirdef' => 't2b',
	'demo_js_op_dirdes' => 't2b (en anglais, "top to bottom") présente l’organigramme de haut en bas.<br />b2t (en anglais, "bottom to top") présente l’organigramme de bas en haut.<br />l2r (en anglais, "left to right") présente l’organigramme de gauche à droite.<br />r2l (en anglais, "right to left") présente l’organigramme de droite à gauche.',
	'demo_js_op_dirr' => 'non',
	'demo_js_op_dirt' => 'Chaîne de caractères (t2b|b2t|l2r|r2l)',
	'demo_js_op_drag' => 'draggable',
	'demo_js_op_dragdef' => 'faux',
	'demo_js_op_dragdes' => 'Les utilisateurs peuvent glisser-déposer les cases de l’organigramme si cette option est activée. ** Remarque **: cette fonctionnalité ne fonctionne pas sur IE en raison de sa mauvaise prise en charge de l’API glisser-déposer HTML5.',
	'demo_js_op_dragr' => 'non',
	'demo_js_op_dragt' => 'Booléen',
	'demo_js_op_drop' => 'dropCriteria',
	'demo_js_op_dropdef' => ' ',
	'demo_js_op_dropdes' => 'Les utilisateurs peuvent construire leurs propres critères pour limiter les relations entre la case glissé et la zone de dépôt. Pour ce faire, cette fonction accepte trois arguments (draggedNode, dragZone, dropZone) et renvoie des valeurs de type Booléen.',
	'demo_js_op_dropr' => 'non',
	'demo_js_op_dropt' => 'Fonction',
	'demo_js_op_ext' => 'exportFileextension',
	'demo_js_op_extdef' => '"png"',
	'demo_js_op_extdes' => 'Format de l’exportation de l’organigramme, indiqué sous la forme de son extension. Valeurs possibles : png et pdf. ** Attention **: cette option demande, quelque soit le format sollicité, d’ajouter le plugin jquery <a href="https://html2canvas.hertzen.com">html2canvas</a>.',
	'demo_js_op_extr' => 'non',
	'demo_js_op_extt' => 'Chaîne de caractères',
	'demo_js_op_fn' => 'exportFilename',
	'demo_js_op_fndef' => '"Orgchart"',
	'demo_js_op_fndes' => 'Nom de la sauvegarde de l’organigramme lors de son exportation.',
	'demo_js_op_fnr' => 'non',
	'demo_js_op_fnt' => 'Chaîne de caractères',
	'demo_js_op_id' => 'nodeId',
	'demo_js_op_iddef' => ' ',
	'demo_js_op_iddes' => 'Permet de définir un identifiant unique pour chaque case de l’organigramme.',
	'demo_js_op_idr' => 'non',
	'demo_js_op_idt' => 'Chaîne de caractère',
	'demo_js_op_init' => 'initCompleted',
	'demo_js_op_initdef' => ' ',
	'demo_js_op_initdes' => 'Il peut souvent être utile de savoir quand votre table a été entièrement initialisée, chargée et que les données sont disponibles, en particulier dans le cadre d’un contexte ajax. La fonction reçoit un paramètre: "$ chart" : objet jquery relatif à l’initialisation de l’organigramme.',
	'demo_js_op_initr' => 'non',
	'demo_js_op_initt' => 'Fonction',
	'demo_js_op_name' => 'Nom',
	'demo_js_op_pan' => 'pan',
	'demo_js_op_pandef' => 'faux',
	'demo_js_op_pandes' => 'Si cette option est activée, l’utilisateur pourra glisser déposer des éléments de l’organigramme.',
	'demo_js_op_panr' => 'non',
	'demo_js_op_pant' => 'Booléen',
	'demo_js_op_relation' => 'relationshipValue',
	'demo_js_op_relationdef' => ' ',
	'demo_js_op_relationdes' => 'relationshipValue est une chaîne de caractère composée de trois identifiant binaire (en "0" ou "1").',
	'demo_js_op_relationr' => 'non',
	'demo_js_op_relationt' => 'Chaîne de caractères (0|1)',
	'demo_js_op_required' => 'Requis',
	'demo_js_op_symbol' => 'parentNodeSymbol',
	'demo_js_op_symboldef' => '"oci-leader"',
	'demo_js_op_symboldes' => 'Cette option vous permet de définir votre propre icône pour signifier que la case à des enfants. Par défaut ce sera une petit bonhomme blanc et plusieurs bonhommes lorsqu’il y a plusieurs enfants',
	'demo_js_op_symbolr' => 'non',
	'demo_js_op_symbolt' => 'Chaîne de caractères',
	'demo_js_op_template' => 'nodeTemplate',
	'demo_js_op_templatedef' => ' ',
	'demo_js_op_templatedes' => 'Cette option permet d’activer une fonction permettant de personnaliser une case. La fonction ne reçoit qu’un seul paramètre: "data" (signifie json datasoure) qui sera utilisé pour retourner la case.',
	'demo_js_op_templater' => 'non',
	'demo_js_op_templatet' => 'Fonction',
	'demo_js_op_title' => 'nodeTitle',
	'demo_js_op_titledef' => '"name"',
	'demo_js_op_titledes' => 'Cette option définit le titre (de l’ensemble des données) de l’organigramme. En fait, cette seule donnée peut définir l’organigramme.',
	'demo_js_op_titler' => 'non',
	'demo_js_op_titlet' => 'Chaîne de caractères',
	'demo_js_op_tsr' => 'toggleSiblingsResp',
	'demo_js_op_tsrdef' => 'true',
	'demo_js_op_tsrdes' => 'Cette option permet aux utilisateurs peuvent afficher / masquer les cases en proximité en cliquant sur la flèche gauche / droite.',
	'demo_js_op_tsrr' => 'non',
	'demo_js_op_tsrt' => 'Booléen',
	'demo_js_op_type' => 'Type',
	'demo_js_op_vertical' => 'verticalLevel',
	'demo_js_op_verticaldef' => ' ',
	'demo_js_op_verticaldes' => 'Les utilisateurs peuvent utiliser cette option pour aligner les cases verticalement à partir du niveau spécifié.',
	'demo_js_op_verticalr' => 'non',
	'demo_js_op_verticalt' => 'Entier (>= 2)',
	'demo_js_op_visible' => 'visibleLevel',
	'demo_js_op_visibledef' => '999',
	'demo_js_op_visibledes' => 'Cette option indique le niveau hiérarchique auquel sera ouvert l’organigramme lors de son démarrage.',
	'demo_js_op_visibler' => 'non',
	'demo_js_op_visiblet' => 'Entier >0',
	'demo_js_op_zoom' => 'zoom',
	'demo_js_op_zoomdef' => 'faux',
	'demo_js_op_zoomdes' => 'Si cette option est activée, l’utilisateur pourra agrandir et réduire l’organigramme avec la molette de sa souris.',
	'demo_js_op_zoomi' => 'zoominLimit',
	'demo_js_op_zoomidef' => '7',
	'demo_js_op_zoomides' => 'Si cette option est activée, l’utilisateur pourra agrandir l’organigramme dans la limite indiquée.',
	'demo_js_op_zoomir' => 'non',
	'demo_js_op_zoomit' => 'Entier ou virgule flottante (avec un point)',
	'demo_js_op_zoomo' => 'zoomoutLimit',
	'demo_js_op_zoomodef' => '0.5',
	'demo_js_op_zoomodes' => 'Si cette option est activée, l’utilisateur pourra réduire l’organigramme dans la limite indiquée.',
	'demo_js_op_zoomor' => 'non',
	'demo_js_op_zoomot' => 'Entier ou virgule flottante (avec un point)',
	'demo_js_op_zoomr' => 'non',
	'demo_js_op_zoomt' => 'Booléen',
	'demo_js_options' => 'b) Options lors de l’instantiation',
	'demo_spip' => 'I - Utilisation simplifiée par un #MODELE de SPIP',
	'demo_spip_appel_article' => 'Appel du modèle dans un article',
	'demo_spip_appel_squelette' => 'Appel du modèle dans un squelette',
	'demo_spip_arbo_squel' => 'Un appel sans utilisation d’une boucle pourrait se faire de la façon suivante :',
	'demo_spip_arbo_titre' => 'b) Utilisation du modèle avec un objet éditorial',
	'demo_spip_code' => 'Code :',
	'demo_spip_explication' => '<p>Un modèle est un petit squelette SPIP qui décrit un fragment de HTML facile à insérer dans un autre squelette ou dans le texte d’un article<br />(voir : <a href="https://www.spip.net/fr_article3454.html">https://www.spip.net/fr_article3454.html</a>).</p><p>Le plugin Orgchart.js vous propose un modele qui embarque :<br /><ul><li>1°) L’appel en javascript de la librairie Org Chart;</li><li>2°) des arguments pour une utilisation conviviale avec SPIP.</li></ul></p>',
	'demo_spip_titre' => 'a) Utilisation du modèle avec des données',
	'demo_spip_utilisation' => 'Utilisation possible :',
	'demo_spip_utilisation_avancee' => 'c) Utilisation avancée du #MODELE',
	'demo_spip_utilisation_avancee_boucle_objet' => '1°) utilisation d’une boucle avec le modèle',
	'demo_spip_utilisation_avancee_boucle_objet_hasard' => 'Dans page de démonstration, nous avons affiché (ci-dessus) l’arborescence menant à l’article n°@id@ de votre site. La façon dont nous avons procédé est la suivante :',
	'demo_spip_utilisation_avancee_personnalisation_article' => '2°) la personnalisation du squelette article.html',
	'demo_spip_utilisation_ligne' => 'La visualisation graphique de cette hiérarchie peut replacer la visualisation textuelle de l’arborescence menant à l’article. Pour ce faire, il convient de modifier le squelette article.html en retirant l’affichage textuel au dessus de l’article (p class="arbo") et en permettant l’affichage graphique sur son côté (div class="aside"). Une façon de faire est proposée ci-dessous.',
	'demo_spip_utilisation_ligne2' => 'En remplacement de la partie affichant l’arborescence de façon textuelle :',
	'demo_spip_utilisation_ligne3' => 'En ajout sur la partie latérale :',
	'demo_titre' => 'Démonstration Orgchart.js',
	'explication_activer_orgchartjs_privee' => 'Mettre en place les feuilles de style et les javascripts d’OrgChart sur la partie privée de SPIP.',
	'explication_activer_orgchartjs_publique' => 'Mettre en place les feuilles de style et les javascripts d’OrgChart sur la partie publique de SPIP.',
	'explication_hierarchie_orgchartjs' => 'Substituer la présentation hiérarchique textuelle à celle graphique lorsque possible (si le squelette prive/squelettes/hierarchie/dist.html n’a pas été surchargé).',
	'label_activer' => 'Activer',
	'label_activer_orgchartjs_privee' => 'Interface privée',
	'label_activer_orgchartjs_publique' => 'Interface publique',
	'label_desactiver' => 'Désactiver',
	'label_disponibilite_orgchartjs' => 'Disponibilité de la librairie',
	'label_hierarchie_orgchartjs' => 'Hiérarchie graphique',
	'non' => 'Non',
	'oui' => 'Oui',
	'titre_orgchartjs' => 'Orgchart.js',
	'titre_page_configurer_orgchartjs' => 'Configuration d’Orgchart.js',
    
	
 );

?>